Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.x3d.util
Class ElevationGridComputation

    java.lang.Object
      de.grogra.ext.x3d.util.ElevationGridComputation

    public class ElevationGridComputation

extends java.lang.Object

Constructor Summary
`ElevationGridComputation(int xDimension, int zDimension, float xSpacing, float zSpacing, float[] height, float creaseAngle)`

Method Summary
`void` | `getCreaseNormal(Vector3f normal0, Vector3f normal1, Vector3f normal2, Vector3f normal3, Vector3f normal4, Vector3f normal5, int i, int j)`
`void` | `getLRNormal(Vector3f normal, int i, int j)`
`void` | `getNormal(Vector3f normal, Tuple3f vertex0, Tuple3f vertex1, Tuple3f vertex2)`
`void` | `getNormals(Vector3f normal0, Vector3f normal1, int i, int j)`
`void` | `getULNormal(Vector3f normal, int i, int j)`
`void` | `getVertex(Tuple3f vertex, int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElevationGridComputation

    public ElevationGridComputation(int xDimension,
                                    int zDimension,
                                    float xSpacing,
                                    float zSpacing,
                                    float[] height,
                                    float creaseAngle)

Method Detail

### getCreaseNormal

    public void getCreaseNormal(Vector3f normal0,
                                Vector3f normal1,
                                Vector3f normal2,
                                Vector3f normal3,
                                Vector3f normal4,
                                Vector3f normal5,
                                int i,
                                int j)

### getLRNormal

    public void getLRNormal(Vector3f normal,
                            int i,
                            int j)

### getNormal

    public void getNormal(Vector3f normal,
                          Tuple3f vertex0,
                          Tuple3f vertex1,
                          Tuple3f vertex2)

### getNormals

    public void getNormals(Vector3f normal0,
                           Vector3f normal1,
                           int i,
                           int j)

### getULNormal

    public void getULNormal(Vector3f normal,
                            int i,
                            int j)

### getVertex

    public void getVertex(Tuple3f vertex,
                          int i,
                          int j)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD